package Greenstone::Package::_apt;

use strict;
use warnings;
use utf8;
use parent 'Greenstone::Package';

sub replacement_array {
    my $self = shift;
    my $array = shift;
    return join ", ", @{$array};
}

sub write_function {
    my ($self, $name, @lines) = @_;
    open OUT, '>', "/tmp/$name";
    for my $line (@lines) {
        print OUT $line, "\n";
    }
    close OUT;
    $self->add ("/tmp/$name", "$self->{output}/$name");
}

sub add_install {
    my $self = shift;
    exists $self->{config}->{PRE_INSTALL} and
        $self->write_function ("preinst", @{$self->{config}->{PRE_INSTALL}});
    exists $self->{config}->{POST_INSTALL} and
        $self->write_function ("postinst", @{$self->{config}->{POST_INSTALL}});
    exists $self->{config}->{PRE_REMOVE} and
        $self->write_function ("prerm", @{$self->{config}->{PRE_REMOVE}});
    exists $self->{config}->{POST_REMOVE} and
        $self->write_function ("postrm", @{$self->{config}->{POST_REMOVE}});
}

1;
