package Greenstone::Package::_rpm;

use strict;
use warnings;
use utf8;
use parent 'Greenstone::Package';

sub replacement_array {
    my $self = shift;
    my $array = shift;
    return join ", ", @{$array};
}

sub write_function {
    my ($name, @lines) = @_;
    my $ret = "";
    $ret .= "%" . $name . "\n";
    for my $line (@lines) {
        $ret .= $line . "\n";
    }
    $ret .= "\n";
    return $ret;
}

sub add_install {
    my $self = shift;
    $self->{config}->{INSTALL} = "";
    exists $self->{config}->{PRE_INSTALL} and
        $self->{config}->{INSTALL} .= write_function "pre", @{$self->{config}->{PRE_INSTALL}};
    exists $self->{config}->{POST_INSTALL} and
        $self->{config}->{INSTALL} .= write_function "post", @{$self->{config}->{POST_INSTALL}};
    exists $self->{config}->{PRE_REMOVE} and
        $self->{config}->{INSTALL} .= write_function "preun", @{$self->{config}->{PRE_INSTALL}};
    exists $self->{config}->{POST_REMOVE} and
        $self->{config}->{INSTALL} .= write_function "postun", @{$self->{config}->{POST_INSTALL}};
}

1;
